config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/courier-imap/imapd.new
config etc/courier-imap/imapd-ssl.new
config etc/courier-imap/imapd.cnf.new
config etc/courier-imap/pop3d.new
config etc/courier-imap/pop3d-ssl.new
config etc/courier-imap/pop3d.cnf.new
( cd usr/sbin ; rm -rf mkdhparams )
( cd usr/sbin ; ln -sf /usr/share/mkdhparams mkdhparams )
( cd usr/sbin ; rm -rf mkimapdcert )
( cd usr/sbin ; ln -sf /usr/share/mkimapdcert mkimapdcert )
( cd usr/sbin ; rm -rf mkpop3dcert )
( cd usr/sbin ; ln -sf /usr/share/mkpop3dcert mkpop3dcert )
